CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::FITS::OperationNotSupported Class Reference
FITS Exceptions

thrown for unsupported operations, such as attempted to select rows from an image extension. More...

`#include <FITS.h>`

Inheritance diagram for CCfits::FITS::OperationNotSupported:

List of all members.

## Public Member Functions
| OperationNotSupported (const String &msg, bool silent=true)
| Exception ctor, prefixes the string "FITS Error: Operation not supported:" before the specific message.

## Detailed Description

thrown for unsupported operations, such as attempted to select rows from an image extension.

## Constructor & Destructor Documentation

CCfits::FITS::OperationNotSupported::OperationNotSupported | ( | const String & | msg,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "FITS Error: Operation not supported:" before the specific message.

Parameters:

  msg | A specific diagnostic message.
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- FITS.h
- FITS.cxx